Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
tuan_thietkedien

[Đã xong] Lineweight 0.2mm sáng khi nhấn tab LWT

Các bài được khuyến nghị

Chào mọi người.

 

Có ai biết làm sao để tất cả line mà có lineweight 0.2mm , khi mình nhấn tab LWT thì nó sẽ sáng đậm hơn những line có lineweight nhỏ hơn 0.2mm.

 

Hiện tại CAD chỉ cho phép line mà có lineweight 0.3mm trở lên thì nhấn tab LWT thì nó sẽ sáng đậm hơn thì phải.

 

Xin mọi người chỉ giáo.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pradalex    2
Chào mọi người.

 

Có ai biết làm sao để tất cả line mà có lineweight 0.2mm , khi mình nhấn tab LWT thì nó sẽ sáng đậm hơn những line có lineweight nhỏ hơn 0.2mm.

 

Hiện tại CAD chỉ cho phép line mà có lineweight 0.3mm trở lên thì nhấn tab LWT thì nó sẽ sáng đậm hơn thì phải.

 

Xin mọi người chỉ giáo.

Chao bạn,

 

Sao bạn không dùng thử phần mềm SEE Electrical de thiet ke dien. Phan mem nay ưu viet hon ca Autocad Electricalva Revit MEP. Đây là phần mềm mới công ty mình sẽ phổ biến ở Vietnam vao năm sau. Hien nay dang cho dung thu trong 1 thang. Neu co nhu cau ban co the lien he voi minh theo email: huytran2502@yahoo.com

 

Than ai,

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Chào mọi người.

 

Có ai biết làm sao để tất cả line mà có lineweight 0.2mm , khi mình nhấn tab LWT thì nó sẽ sáng đậm hơn những line có lineweight nhỏ hơn 0.2mm.

 

Hiện tại CAD chỉ cho phép line mà có lineweight 0.3mm trở lên thì nhấn tab LWT thì nó sẽ sáng đậm hơn thì phải.

 

Xin mọi người chỉ giáo.

Có một mẹo nhỏ mà khi ấn Tab LWT làm cho line và các đối tượng có lineweight 0.2mm sáng đậm hơn lineweight khác là :

Bạn chuyển các line và các đối tượng có lineweight 0.2mm về lineweight lớn hơn 0.3mm. và lẽ đương nhiên các lineweight 0.2mm này sẽ sáng hơn các lineweight còn lại.

 

Nhưng phải sử dụng thủ thuật sau đây, để khi cần chọn 1 phát lệnh, các lineweight 0.2mm phải tự động chuyển về lineweight 0.2mm vốn ban đầu của nó.

 

Mẹo sử dụng Lệnh quick select kết hợp với lệnh Group như sau :

Bấm chọn toàn bộ bản vẽ (Nhấn phím Ctrol +A). Chọn Tool -> Quick select -> hiện hộp thoại Quick select

Chọn lineweight bằng 0.2mm như hình vẽ

quick_1.jpg

Hop thoai Quick Select

 

Sau khi OK xong - các đối tượng trên bản vẽ lineweight bằng 0.2mm được chọn.

Đánh lệnh G (Group) -> hộp thoại Group xuất hiện -> đánh tên group name -> kích chuột vào New ->ở hàng Select object : đánh chữ P (Previous). Lập tức các đối tượng đã chọn bằng Quick select trước đó được chọn ->OK.

bây giờ bạn kích vào đối tượng Group có lineweight bằng 0.2mm đổi thành lineweight lớn hơn 0.30mm thì các lineweight sẽ sáng hơn.

Khi cần thiết bạn có thể chọn Group này và cho nó trở lại lineweight ban đầu của nó là 0.20mm.

 

bạn có thể để hiển thị nhóm hay không muốn hiển thị nhóm để thao tác trên đối tượng thuộc nhóm thi vào Tool ->option -> Ở nhãn Selection đánh tick hoặc không đánh tick vào ô object grouping

Bạn cũng có thể thêm, hoặc bỏ đối tượng ra khỏi nhóm trong lệnh Group.

 

Mong rằng bạn hiểu.

Chúc thành công.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442
Chào mọi người.

 

Có ai biết làm sao để tất cả line mà có lineweight 0.2mm , khi mình nhấn tab LWT thì nó sẽ sáng đậm hơn những line có lineweight nhỏ hơn 0.2mm.

 

Hiện tại CAD chỉ cho phép line mà có lineweight 0.3mm trở lên thì nhấn tab LWT thì nó sẽ sáng đậm hơn thì phải.

 

Xin mọi người chỉ giáo.

 

Acad cho phép điều chỉnh tỉ lệ hiển thị LWT với lệnh LWEIGHT.

bạn chọn mục Adjust Display Scale và điều chỉnh theo ý mình.

lineweightxy6.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Acad cho phép điều chỉnh tỉ lệ hiển thị LWT với lệnh LWEIGHT.

bạn chọn mục Adjust Display Scale và điều chỉnh theo ý mình.

lineweightxy6.jpg

 

Cám ơn bạn Tue NV và bạn gia bach nhiều.

 

Mình đã thực hiện thành công cách 2 bạn đã hướng dẫn rồi. Với cách bạn Tue NV thì kết quả đối tượng có lineweight là 0.3mm. Với cách bạn gia bach thi đối tượng có lineweight 0mm cũng sáng hơn.

 

Công việc của mình có liên quan đến 5 loại lineweight ( 0mm, 0.09mm luôn là màu magenta ; 0.2mm - white và cyan ; 0.3mm - red và yellow ; 0.5mm ) . Sau khi hòan tất bản vẽ thì mình phải kiểm tra color và lineweight bằng cách nhấn Tab LWT. Với lineweight 0.3mm và 0.5mm sẽ sáng 2 mức khác nhau , còn lineweight 0mm và 0.09mm và 0.2mm vẫn như cũ. Mình phải kiểm tra theo Quickselect như bạn Tue NV nói. Mình muốn hỏi mấy bạn xem ai có phương pháp nào tiện lợi hơn ví dụ như việc dùng Tab LWT hay không?

 

Lúc trước mình được bạn Tue NV hướng dẫn 1 lisp có dòng lệnh

(Defun c:chuyen ( )

(Prompt "\nChon doi tuong muon chuyen ...")

(Setq chuyen (Ssget))

(command "Layer" "m" "daydien" "C" "1" "" "")

(command "style" "Standard" "" "" "0.8" "" "" "" "")

(command "chprop" chuyen "" "LA" "daydien" "Color" "1" "lt" "HIDDEN2" "s" "0.8" "")

(Princ)

)

Mấy dòng trên mình đã hiểu rồi và xin hỏi thêm nếu mình muốn dùng hàm If giống như excel thì mình dùng lệnh gì? Ví dụ như nếu đối tượng có màu white thì lineweight là 0.2mm.

Xin được giúp đỡ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
và xin hỏi thêm nếu mình muốn dùng hàm If giống như excel thì mình dùng lệnh gì? Ví dụ như nếu đối tượng có màu white thì lineweight là 0.2mm.

Xin được giúp đỡ.

Trong Autolisp cũng có hàm if giống như excel.

Bạn có 2 cách làm :

Có thể sử dụng lệnh filter hoặc quickselect để lọc các đối tượng theo màu sắc (Color) rồi gán giá trị Lineweight cho nó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Cám ơn bạn Tue NV và bạn gia bach nhiều.

 

Mình đã thực hiện thành công cách 2 bạn đã hướng dẫn rồi. Với cách bạn Tue NV thì kết quả đối tượng có lineweight là 0.3mm. Với cách bạn gia bach thi đối tượng có lineweight 0mm cũng sáng hơn.

 

Công việc của mình có liên quan đến 5 loại lineweight ( 0mm, 0.09mm luôn là màu magenta ; 0.2mm - white và cyan ; 0.3mm - red và yellow ; 0.5mm ) . Sau khi hòan tất bản vẽ thì mình phải kiểm tra color và lineweight bằng cách nhấn Tab LWT. Với lineweight 0.3mm và 0.5mm sẽ sáng 2 mức khác nhau , còn lineweight 0mm và 0.09mm và 0.2mm vẫn như cũ. Mình phải kiểm tra theo Quickselect như bạn Tue NV nói. Mình muốn hỏi mấy bạn xem ai có phương pháp nào tiện lợi hơn ví dụ như việc dùng Tab LWT hay không?

 

Mấy dòng trên mình đã hiểu rồi và xin hỏi thêm nếu mình muốn dùng hàm If giống như excel thì mình dùng lệnh gì? Ví dụ như nếu đối tượng có màu white thì lineweight là 0.2mm.

Xin được giúp đỡ.

Vân đề của bạn tới đây mình đã giả quyết được rồi.

Bạn hãy sử dụng đoạn Code sau xem nhé. Ten lệnh là chuyen .

Chú ý màu của bạn không phải là bylayer mới thực hiện được.

 

Chức năng chuyển đối tượng có màu A sang lineweight B

(Defun c:chuyen ( )
(setq Lw (getreal "\nLineweight cua ban ="))
(prompt "\nChon doi tuong co mau can chuyen : ")

(setq DT (car (entsel)))
(setq DT (entget DT))
(setq LDT (cdr (assoc 62 DT)))
(if (= LDT nil)
(Princ "\nMau cua doi tuong la Bylayer nen khong thuc hien duoc:")
)
(if (/= LDT nil) (PROGN
(Princ "\nHay chon vung muon chuyen:")
(setq SS (ssget (list (cons 62 LDT)
)
) 
)
(if (Null ss)
(princ (strcat "\nKhong tim thay doi tuong nao co mau:  trong vung vua chon !"))
)
(IF (/= NIL SS) (PROGN
(setq Sl (SSLength SS))
(command "chprop" ss "" "lw" LW "")
(princ (strcat "\nDa chuyen :  doi tuong co mau:  thanh lineweight " (rtos lw)))
)
)
)
)
(princ)
)
;;;;;;;;;;;;;

 

Khuyên bạn : Màu có Lineweight = 0mm, 0.09mm nên là 2 màu khác nhau để đẽ xử lý. Vì 2 màu trùng nhau khi xử lý dùng đoạn code trên sẽ chọn 1 màu, đồng nghĩa với 2 Lineweight = 0mm, 0.09mm được chọn

 

Bạn thấy với lineweight 0.3mm và 0.5mm sẽ sáng 2 mức khác nhau , còn lineweight 0mm và 0.09mm và 0.2mm vẫn như cũ. đây là những cái mà CAD đặt ra, bạn không thể thay đổi được.

 

Và bạn sẽ có thể làm được điều này khi sử dụng đoạn Code trên bằng cách đánh lệnh chuyển lineweight 0mm , 0.09mm và 0.20mm qua các linewweight có độ hiển thị sáng hơn.

Khi cần thiết cũng sử dụng lại đoạn Code trên trả lại vị trí ban đàu như lineweight của nó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vân đề của bạn tới đây mình đã giả quyết được rồi.

Bạn hãy sử dụng đoạn Code sau xem nhé. Ten lệnh là chuyen .

Chú ý màu của bạn không phải là bylayer mới thực hiện được.

 

Chức năng chuyển đối tượng có màu A sang lineweight B

(Defun c:chuyen ( )
(setq Lw (getreal "\nLineweight cua ban ="))
(prompt "\nChon doi tuong co mau can chuyen : ")

(setq DT (car (entsel)))
(setq DT (entget DT))
(setq LDT (cdr (assoc 62 DT)))
(if (= LDT nil)
(Princ "\nMau cua doi tuong la Bylayer nen khong thuc hien duoc:")
)
(if (/= LDT nil) (PROGN
(Princ "\nHay chon vung muon chuyen:")
(setq SS (ssget (list (cons 62 LDT)
)
) 
)
(if (Null ss)
(princ (strcat "\nKhong tim thay doi tuong nao co mau: <" (itoa LDT) "> trong vung vua chon !"))
)
(IF (/= NIL SS) (PROGN
(setq Sl (SSLength SS))
(command "chprop" ss "" "lw" LW "")
(princ (strcat "\nDa chuyen : <" (itoa sl) "> doi tuong co mau: <" (itoa LDT) "> thanh lineweight " (rtos lw)))
)
)
)
)
(princ)
)
;;;;;;;;;;;;;

 

Khuyên bạn : Màu có Lineweight = 0mm, 0.09mm nên là 2 màu khác nhau để đẽ xử lý. Vì 2 màu trùng nhau khi xử lý dùng đoạn code trên sẽ chọn 1 màu, đồng nghĩa với 2 Lineweight = 0mm, 0.09mm được chọn

 

Bạn thấy với lineweight 0.3mm và 0.5mm sẽ sáng 2 mức khác nhau , còn lineweight 0mm và 0.09mm và 0.2mm vẫn như cũ. đây là những cái mà CAD đặt ra, bạn không thể thay đổi được.

 

Và bạn sẽ có thể làm được điều này khi sử dụng đoạn Code trên bằng cách đánh lệnh chuyển lineweight 0mm , 0.09mm và 0.20mm qua các linewweight có độ hiển thị sáng hơn.

Khi cần thiết cũng sử dụng lại đoạn Code trên trả lại vị trí ban đàu như lineweight của nó.

 

 

Chào bạn Tue NV

 

Mình đã thử chạy lisp của bạn rồi. Rất tốt và cám ơn bạn nhiều nha.

 

Nhưng không hiểu sao tới phần chọn vùng muốn chuyển, ở vài bản vẽ, 1 số đối tượng tuy quét nhiều lần nhưng nó vẫn không được chọn. Mình cũng đã thử thực hiện lại lệnh nhiều lần nhưng nó không được chọn khi quét đối tượng. Ví dụ ở bản vẽ A thì quét tới đâu đối tượng được chọn tới đó, ở bãn vẽ B khi quét xong thì còn sót lại vài đối tượng mặc dù đã quét nhiều lần.

 

Và với đoạn lisp này khi vẽ sẽ rất ok nhưng công việc của mình còn là kiểm tra bản vẽ của người khác. Do đó, mình có thể gửi người vẽ đoạn lisp này để thao tác nhưng cũng không đảm bảo là người đó sẽ thực hiện đúng theo yêu cầu. Do đó, mình đang tìm ra phương pháp nào tốt để thực hiện việc kiểm tra. Khi dùng Quick Select để ktra thì Cad không có lựa chọn 1 theo màu trước nên giả sử việc chọn tất cả đối tượng màu trắng rất mất thời gian. Nếu ktra 1 bản vẽ thì không nói gì nhưng ktra 30 bản vẽ thì quá lâu. Do đó nếu bạn có phương pháp nào để kiểm tra vấn đề nói trên thì xin chỉ giáo.

 

Xin cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Chào bạn Tue NV

 

Mình đã thử chạy lisp của bạn rồi. Rất tốt và cám ơn bạn nhiều nha.

 

Nhưng không hiểu sao tới phần chọn vùng muốn chuyển, ở vài bản vẽ, 1 số đối tượng tuy quét nhiều lần nhưng nó vẫn không được chọn. Mình cũng đã thử thực hiện lại lệnh nhiều lần nhưng nó không được chọn khi quét đối tượng. Ví dụ ở bản vẽ A thì quét tới đâu đối tượng được chọn tới đó, ở bãn vẽ B khi quét xong thì còn sót lại vài đối tượng mặc dù đã quét nhiều lần.

 

Và với đoạn lisp này khi vẽ sẽ rất ok nhưng công việc của mình còn là kiểm tra bản vẽ của người khác. Do đó, mình có thể gửi người vẽ đoạn lisp này để thao tác nhưng cũng không đảm bảo là người đó sẽ thực hiện đúng theo yêu cầu. Do đó, mình đang tìm ra phương pháp nào tốt để thực hiện việc kiểm tra. Khi dùng Quick Select để ktra thì Cad không có lựa chọn 1 theo màu trước nên giả sử việc chọn tất cả đối tượng màu trắng rất mất thời gian. Nếu ktra 1 bản vẽ thì không nói gì nhưng ktra 30 bản vẽ thì quá lâu. Do đó nếu bạn có phương pháp nào để kiểm tra vấn đề nói trên thì xin chỉ giáo.

 

Xin cám ơn.

Cám ơn thì phải tick thanks nhé. nhiều nhiều nghe. :cheers:

Bạn nên nhớ rằng đoạn Lisp trên của mình chỉ chọn đối tượng có màu không phải là Bylayer nhé

Bạn upload bản vẽ B để mình xem rồi góp ý.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cám ơn thì phải tick thanks nhé. nhiều nhiều nghe. :cheers:

Bạn nên nhớ rằng đoạn Lisp trên của mình chỉ chọn đối tượng có màu không phải là Bylayer nhé

Bạn upload bản vẽ B để mình xem rồi góp ý.

 

Mình hiểu gòi. B)

 

Còn bản vẽ mình sẽ up sau nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Mình hiểu gòi. :cheers:

 

Còn bản vẽ mình sẽ up sau nhé.

Chắc chắn rằng bản vẽ của bạn chọn đối tượng đúng có màu là Bylayer nên quét đối tượng không nhận.

Giải pháp nhanh nhất trong trường hợp này là dùng công cụ quickselect để chọn các đối tượng có màu Bylayer theo Lineweight, hoặc theo Layer tuỳ bạn.

Sau khi chọn các đối tượng có màu Bylayer theo Quick select xong thì có 3 cách để đổi các đối tượng có màu Bylayer sang màu mà bạn muốn :

Cách 1 : (Nhanh nhất) bạn chọn trên thanh công cụ Properties , chọn màu cần chuyển là OK.

Cách 2 : Đánh lệnh Change hoặc lệnh Chprop Và ở dòng Select Object : gõ chữ P (Previous) để nhận các đối tượng đã chọn trước đó bằng Quick Select.

Cách 3 : Bạn có thể dùng Lisp để thực hiện việc này để chuyển các đối tượng đã chọn sang màu mà bạn muốn.

Bạn nói rằng đã hiểu đoạn Code dưới đây thì việc thực hiện viết Code chuyển các đối tượng sang màu khác là không khó.

Gợi ý :

Kết quả đầu vào : Chon số hiệu màu, chọn đối tượng cần chuyển

Kết quả đầu ra : Đối tượng sẽ chuyển sang màu mà bạn đã chọn ở kết quả đầu vào

 

(Defun c:chuyen ( ) 
(Prompt "\nChon doi tuong muon chuyen ...")
(Setq chuyen (Ssget))
(command "Layer" "m" "daydien" "C" "1" "" "")
(command "style" "Standard" "" "" "0.8" "" "" "" "")
(command "chprop" chuyen "" "LA" "daydien" "Color" "1" "lt" "HIDDEN2" "s" "0.8" "")
(Princ)
)

 

Mong rằng bạn hiểu.

Chúc thành công.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chắc chắn rằng bản vẽ của bạn chọn đối tượng đúng có màu là Bylayer nên quét đối tượng không nhận.

Giải pháp nhanh nhất trong trường hợp này là dùng công cụ quickselect để chọn các đối tượng có màu Bylayer theo Lineweight, hoặc theo Layer tuỳ bạn.

Sau khi chọn các đối tượng có màu Bylayer theo Quick select xong thì có 3 cách để đổi các đối tượng có màu Bylayer sang màu mà bạn muốn :

Cách 1 : (Nhanh nhất) bạn chọn trên thanh công cụ Properties , chọn màu cần chuyển là OK.

Cách 2 : Đánh lệnh Change hoặc lệnh Chprop Và ở dòng Select Object : gõ chữ P (Previous) để nhận các đối tượng đã chọn trước đó bằng Quick Select.

Cách 3 : Bạn có thể dùng Lisp để thực hiện việc này để chuyển các đối tượng đã chọn sang màu mà bạn muốn.

Bạn nói rằng đã hiểu đoạn Code dưới đây thì việc thực hiện viết Code chuyển các đối tượng sang màu khác là không khó.

Gợi ý :

Kết quả đầu vào : Chon số hiệu màu, chọn đối tượng cần chuyển

Kết quả đầu ra : Đối tượng sẽ chuyển sang màu mà bạn đã chọn ở kết quả đầu vào

 

(Defun c:chuyen ( )

(Prompt "\nChon doi tuong muon chuyen ...")

(Setq chuyen (Ssget))

(command "Layer" "m" "daydien" "C" "1" "" "")

(command "style" "Standard" "" "" "0.8" "" "" "" "")

(command "chprop" chuyen "" "LA" "daydien" "Color" "1" "lt" "HIDDEN2" "s" "0.8" "")

(Princ)

)

 

Mong rằng bạn hiểu.

Chúc thành công.

 

Chào bạn Tue NV

Nhờ bạn gợi ý cho mình đoạn lisp có yêu cầu như bên dưới :

 

http://myfreefilehosting.com/f/089653b100_0.02MB

 

Cảm ơn bạn nhiều lắm.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Chào bạn Tue NV

Nhờ bạn gợi ý cho mình đoạn lisp có yêu cầu như bên dưới :

 

http://myfreefilehosting.com/f/089653b100_0.02MB

 

Cảm ơn bạn nhiều lắm.

Thiết nghĩ dùng lệnh Filter của CAD sẽ giả quyết vấn đề

Xin trích nguyên văn file của bạn

Câu 1 : Nếu đối tượng là text màu trắng thì lineweight là 0.2mm và height 250 và width factory 0.8, ngược lại giữ nguyên.

Câu 2 : Nếu đối tượng là polyline màu trắng thì lineweight là 0.2mm, polyline màu đỏ 0.3mm, còn lại lineweight là 0.09mm.

Câu 3 :Nếu đối tượng là circle màu trắng thì lineweight là 0.2mm, ngược lại giữ nguyên.

Câu 4 : Nếu đối tượng là leader màu trắng thì lineweight là 0.2mm, ngược lại giữ nguyên.

Câu 5 :Nếu đối tượng là block màu vàng thì lineweight là 0.2mm, ngược lại giữ nguyên.

Mình làm ví dụ cho câu1, các câu còn lại làm tương tự :

Đánh lệnh Filter -> Xuất hiện hộp thoại Filter - > Khai báo Tên filter gồm TextChung (Toàn bbọ Text) và TextTrang (Text mang màu trắng) -> Apply

Bạn xem hình minh họa dưới :

filter1.jpg

Sau đó bấm Ctrol+1 -> Xuất hiện hộp thoại Properties -> Thiết lập cho Text chung trước ví dụ textChung mang lineweight =0.30mm , sau đó bạn thiết lập text màu trắng thì lineweight là 0.2mm sau.

Nguyên tắc thiết lập của mình là thiết lập cái chung trước rồi mới tới cái riêng.

 

Các câu 2,3,4,5 làm tương tự

 

Có thể xem file này xong bạn sẽ thấy được điều mình nói.

File gồm 2 file filter.dwg và filter.nfl .

File đó đay : http://www.cadviet.com/upfiles/filter.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Giữa lệnh filter và công cụ Quick Select có chức năng tương tự nhau.

Nhưng lệnh Filter có ưu điểm hơn là có thể lưu đối tượng chọn lọc dưới một cái tên trong menu Save As (trong hộp thoại Filter)

Khi cần bạn có thể chọn lại cái tên đó và lọc đối tượng.

Còn Quick Select thì không có chức năng lưu đối tượng chọn lọc dưới một cái tên lưu tên được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Giữa lệnh filter và công cụ Quick Select có chức năng tương tự nhau.

Nhưng lệnh Filter có ưu điểm hơn là có thể lưu đối tượng chọn lọc dưới một cái tên trong menu Save As (trong hộp thoại Filter)

Khi cần bạn có thể chọn lại cái tên đó và lọc đối tượng.

Còn Quick Select thì không có chức năng lưu đối tượng chọn lọc dưới một cái tên lưu tên được.

 

Chào bạn

 

Mình thấy file filter.nfl trong thu muc rar.

Vậy mình phải làm gì với nó vậy hả bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Giữa lệnh filter và công cụ Quick Select có chức năng tương tự nhau.

Nhưng lệnh Filter có ưu điểm hơn là có thể lưu đối tượng chọn lọc dưới một cái tên trong menu Save As (trong hộp thoại Filter)

Khi cần bạn có thể chọn lại cái tên đó và lọc đối tượng.

Còn Quick Select thì không có chức năng lưu đối tượng chọn lọc dưới một cái tên lưu tên được.

 

Lệnh filter này hay quá vậy mà bây giờ mình mới biết sử dụng. Cám ơn bạn Tue NV nhiều nhe.

 

À, có cách nào khi mở bản vẽ bất kỳ thì nó tự động load cái filterlist không vậy hả bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
http://www.cadviet.com/upfiles/filter.rar

Bạn thử mở file này rồi kích vào mục Curent trong hộp thoại Filter xem có thấy gì không đã nhé.

 

Sao lạ quá

 

Mình down về rồi giải nén ra, đã thử copy 3 file vào thư mục cài đặt Cad và doubleclick vào file filter rồi nhưng vẫn không thấy gì cả.

 

Nếu mình copy file filter vào thư mục chứa bản vẽ Cad mình muốn mở thì filterlist mới hiện ra.

 

Vậy mỗi lần mình muốn có filterlist phải copy vào từng thư mục bản vẽ hả bạn. Có cách nào tự động appload hay không nhỉ. :cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Sao lạ quá

 

Mình down về rồi giải nén ra, đã thử copy 3 file vào thư mục cài đặt Cad và doubleclick vào file filter rồi nhưng vẫn không thấy gì cả.

 

Nếu mình copy file filter vào thư mục chứa bản vẽ Cad mình muốn mở thì filterlist mới hiện ra.

 

Vậy mỗi lần mình muốn có filterlist phải copy vào từng thư mục bản vẽ hả bạn. Có cách nào tự động appload hay không nhỉ. :cheers:

Sao bạn không thấy gì nhỉ ? Bạn phải thấy khung hộp thoại này mới đúng chứ?

Đây là danh sách filter List mà mình tạo theo các câu của bạn mà.

Hãy copy hai file filter.dwg và file filter.nfl vào tròng một thư mục và mở chúng lên xem. Bạn sẽ thấy hình này :

filter.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Sao bạn không thấy gì nhỉ ? Bạn phải thấy khung hộp thoại này mới đúng chứ?

Đây là danh sách filter List mà mình tạo theo các câu của bạn mà.

Hãy copy hai file filter.dwg và file filter.nfl vào tròng một thư mục và mở chúng lên xem. Bạn sẽ thấy hình này :

filter.jpg

 

Bạn không hiểu ý mình rồi.

 

Mình đã thấy filelist của bạn làm rồi, nhưng ý mình là mỗi lần mình mở bản vẽ Cad bất kỳ thì cái list này không tự động cập nhật.

Ví dụ thư mục A chứa bản vẽ A1, phải copy file filter vào thư mục A rổi mở A1 thì filelist hiện ra. Nếu không copy thì không có filelist này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Bạn không hiểu ý mình rồi.

 

Mình đã thấy filelist của bạn làm rồi, nhưng ý mình là mỗi lần mình mở bản vẽ Cad bất kỳ thì cái list này không tự động cập nhật.

Ví dụ thư mục A chứa bản vẽ A1, phải copy file filter vào thư mục A rổi mở A1 thì filelist hiện ra. Nếu không copy thì không có filelist này.

Mình hiểu ý của bạn chứ. Một mẹo nhỏ sau đây sẽ giúp bạn tự động cập nhật fillterlist lên , đó là :

Khi bạn mở CAD lên, bạn có thấy gì không? Đó là một bản vẽ hoàn toàn trống mang tên drawing1.dwg. File drawing1.dwg này do bạn đã mở file acad.dwt mà có.

Ví dụ đường dẫn của file acad.dwt của mình nằm trong đường dẫn :

C:\Documents and Settings\Administrator\Application Data\Autodesk\AutoCAD 2004\R16.0\enu\template\acad.dwt

Bạn hãy lấy file mà đã tạo filter List và lưu đè lên file acad.dwt.

 

Như vậy mỗi khi khởi động CAD lên thì file acad.dwt tự động mở tạo ra filter list cho bạn.

 

Bạn có thể sử dụng filter list cho bất cứ bản vẽ nào.

 

Đường dẫn acad.dwt nằm trong đường dẫn (khi bạn bấm (Ctrol+N) (New)

 

tue_1.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình hiểu ý của bạn chứ. Một mẹo nhỏ sau đây sẽ giúp bạn tự động cập nhật fillterlist lên , đó là :

Khi bạn mở CAD lên, bạn có thấy gì không? Đó là một bản vẽ hoàn toàn trống mang tên drawing1.dwg. File drawing1.dwg này do bạn đã mở file acad.dwt mà có.

Ví dụ đường dẫn của file acad.dwt của mình nằm trong đường dẫn :

C:\Documents and Settings\Administrator\Application Data\Autodesk\AutoCAD 2004\R16.0\enu\template\acad.dwt

Bạn hãy lấy file mà đã tạo filter List và lưu đè lên file acad.dwt.

 

Như vậy mỗi khi khởi động CAD lên thì file acad.dwt tự động mở tạo ra filter list cho bạn.

 

Bạn có thể sử dụng filter list cho bất cứ bản vẽ nào.

 

Đường dẫn acad.dwt nằm trong đường dẫn (khi bạn bấm (Ctrol+N) (New)

 

tue_1.jpg

 

Ok rồi bạn ơi. Thank bạn nhiều nha.

 

Cho mình hỏi ngoài lề 1 xíu nhé. Mình thấy bạn đa số đều giải đáp được thắc mắc của mình vậy bạn học Cad ở đâu vậy hay là bạn tự học và tự tìm phương án để trả lời mấy câu hỏi của mình vậy. :cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vunguyen90    1

Acad cho phép điều chỉnh tỉ lệ hiển thị LWT với lệnh LWEIGHT.

bạn chọn mục Adjust Display Scale và điều chỉnh theo ý mình.

lineweightxy6.jpg

Làm theo cách này tất cả các đường line đều sáng hơn. có cách khác không bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×